<?
 /*SCRIPT PARA ALMACENAR LAS NOTAS DE UNA UNIDAD DE CADA ALUMNO*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
include("../fnc.php");
enlinea_c();

//error_reporting(E_ALL);
if(!$_REQUEST[tipo_trn]){
  alert("Parámetros incorrectos","frm_login.php");
}
  
$txtarchivo=$_FILES['txtarchivo']['tmp_name'];

switch ($tipo_trn){
case "Add":
  if(!$txtarchivo){
    alert("Debe seleccionar un archivo","javascript:history.go(-1)");
  }
     $extension=strtolower(substr($_FILES['txtarchivo']['name'],-3));
     switch($extension){
      case "pdf":
      case "doc":
      case "xls":
      case "pdf":
      case "ppt":
      case "pps":
      case "zip":
      case "txt":
      case "jpg":
      case "gif":
      case "rar":
      break;
      default: alert("Extensión de archivo inválida","javascript:history.go(-1)");
     }
     /*
     $id_cr=dec($cid);
     $id_gr=dec($gid);
     $id_se=dec($sid);
     */
     $id_cr=$_SESSION["curso_id"];
     $id_gr=$_SESSION["grado_id"];
     $id_se=$_SESSION["seccion_id"];
     $id_un=$_SESSION["unidad_id"];
     
     $narchivo=$_FILES['txtarchivo']['name'];
     $tmparchivo=$txtarchivo;
     $narchivo=del_tildes($narchivo);
     $qver=mysql_query("select * from archivos
                        where archivo = '$narchivo'
                        and curso = '$id_cr'
                        and grado = $id_gr
                        and seccion = '$id_se'");
     
     $file="/archivos/$id_cr/$narchivo";
     @mkdir("../archivos",0777);
     @mkdir("../archivos/$id_cr",0777);
     
     if(file_exists("../archivos/$id_cr/$narchivo")){
       //echo "El archivo ya existía, se inserta registro unicamente!";
     }else{
       copy($txtarchivo,"../archivos/$id_cr/$narchivo");
     }
     
     if(!$txtlimite){
       $f_limite='N';
       $f_del="";
       $f_al="";
     }
     else{
       $f_limite='S';
       $f_del="$txtdyear-$txtdmes-$txtddia";
       $f_al="$txthyear-$txthmes-$txthdia";
     }
     if(mysql_num_rows($qver)==0){
      $ins=mysql_query("insert into
                        archivos
                        set archivo='$narchivo',
                        descripcion='$txtdescripcion',
                        seccion='$id_se',
                        unidad='$id_un',
                        usuario='$uuser',
                        curso='$id_cr',
                        grado='$id_gr',
                        fecha ='$fechahora',
                        f_limite='$f_limite',
                        descargas=0,
                        del='$f_del',
                        al='$f_al'");
      if($ins){
       //alert("Archivo Cargado\\n\\n$narchivo","frm_archivos.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");
       redireccionar("inicio.php#archivos");
      }
     }else{
      $upd=mysql_query("update
                        archivos
                        set descripcion='$txtdescripcion'
                        where
                        curso='$id_cr'
                        and grado='$id_gr'
                        and archivo = '$narchivo'");
      if($upd){
       //alert("El archivo ya existía y fue reemplazado","frm_archivos.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");
       redireccionar("inicio.php#archivos");
      }
     }
break; // fin de Add

case "Update":
      $id_ar=dec($ida);
      if(!$txtlimite){
       $txtlimite="N";
      }
      $f_limite=$txtlimite;
      $f_del="$txtdyear-$txtdmes-$txtddia";
      $f_al="$txthyear-$txthmes-$txthdia";
//      echo $f_del." ".$f_al;
//      exit();
      $upd=mysql_query("update
                        archivos
                        set
                        descripcion='$txtdescripcion',
                        usuario='$uuser',
                        f_limite='$f_limite',
                        del='$f_del',
                        al='$f_al'
                        where id = $id_ar");
      if($upd){
        //alert("Archivo actualizado con éxito","frm_archivos.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");
        redireccionar("inicio.php#archivos");
      }else{
        alert("Error:".mysql_error(),"javascript:history.go(-1)");
      }
break;

case "Delete":
       $id_a=dec($aid);
       $qarchivo=runsql("select * from archivos where id = '$id_a'");
       $iarchivo=registro($qarchivo);
       
       @unlink("../archivos/{$iarchivo[curso]}/{$iarchivo[archivo]}");
       $del=runsql("delete from archivos where id = '$id_a'");
       redireccionar("inicio.php#archivos");
break;
}
?>
